Subject: bug#55866: closed (Re: [bug#55866] [PATCH 0/2] Disable tests failing due to YAMA’s ptrace_scope.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 10 Jun 2022 09:44:02 +0000

Your bug report

#55866: [PATCH 0/2] Disable tests failing due to YAMA’s ptrace_scope.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55866: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55866
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#55866] [PATCH 0/2] Disable tests failing due to YAMA’s ptrace_scope.
From: Lars-Dominik Braun <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Fri, 10 Jun 2022 11:43:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Maxime,

> Sounds reasonable to me, though I recommend reporting the issue
> upstream such that they can adjust their test suites to skip the tests
> when YAMA interferes.
pushed as 9d2ef7344e340747640dc00413aa6a7b054f022a and
3e6bc1edca0c7ee4e8bfe0d8e783db48d2bb647c. I added a link to the upstream
report in the comments. Doesn’t make much sense for python-debugpy
though, since we’d end up with no test suite at all.

Thank you very much,
Lars

Subject: [PATCH 0/2] Disable tests failing due to YAMA’s ptrace_scope.
From: Lars-Dominik Braun <[email-masked]>
To: [email-masked]
Date: Thu, 9 Jun 2022 10:51:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I noticed that some tests fail on my foreign distribution,
but not on Guix System, because they differ in their
/proc/sys/kernel/yama/ptrace_scope. Guix sets it to 0 (no limitations),
whereas most distributions default to 1 (only children can be ptrace’d),
causing a reproducibility issue. The following patches therefore disable
tests, which fail with a setting of >0.

Cheers,
Lars

Lars-Dominik Braun (2):
  gnu: python-pydevd: Skip tests failing due to YAMA.
  gnu: python-debugpy: Disable tests.

 gnu/packages/python-xyz.scm | 29 +++++++++++++++++------------
 1 file changed, 17 insertions(+), 12 deletions(-)

-- 
2.35.1